module.exports = {
  instance: 'UCP',
  chapter: {
    dropdownValues: {
      back: ['Appendix A', 'Appendix B', 'Appendix C'],
      front: ['Table of Contents', 'Introduction', 'Preface'],
    },
  },
  stages: [
    {
      title: 'Upload',
      type: 'upload',
    },
    {
      title: 'File Prep',
      type: 'file_prep',
    },
    {
      title: 'Edit',
      type: 'edit',
    },
    {
      title: 'Review',
      type: 'review',
    },
    {
      title: 'Clean Up',
      type: 'clean_up',
    },
    {
      title: 'Page Check',
      type: 'page_check',
    },
    {
      title: 'Final',
      type: 'final',
    },
  ],
  divisions: [
    {
      name: 'Frontmatter',
      showNumberBeforeComponents: [],
      allowedComponentTypes: [
        {
          value: 'component',
          title: 'Component',
          predefined: true,
          visibleInHeader: true,
        },
        {
          value: 'table_of_contents',
          title: 'Table of Contents',
          predefined: true,
          visibleInHeader: false,
        },
        {
          value: 'introduction',
          title: 'Introduction',
          predefined: true,
          visibleInHeader: false,
        },
        {
          value: 'preface',
          title: 'Preface',
          predefined: true,
          visibleInHeader: false,
        },
      ],
      defaultComponentType: 'component',
    },
    {
      name: 'Body',
      showNumberBeforeComponents: ['chapter'],
      allowedComponentTypes: [
        {
          value: 'chapter',
          title: 'Chapter',
          predefined: true,
          visibleInHeader: true,
        },
        {
          value: 'part',
          title: 'Part',
          predefined: true,
          visibleInHeader: true,
        },
        {
          value: 'unnumbered',
          title: 'Unnumbered',
          predefined: true,
          visibleInHeader: true,
        },
      ],
      defaultComponentType: 'chapter',
    },
    {
      name: 'Backmatter',
      showNumberBeforeComponents: [],
      allowedComponentTypes: [
        {
          value: 'component',
          title: 'Component',
          predefined: true,
          visibleInHeader: true,
        },
        {
          value: 'appendix_a',
          title: 'Appendix A',
          predefined: true,
          visibleInHeader: false,
        },
        {
          value: 'appendix_b',
          title: 'Appendix B',
          predefined: true,
          visibleInHeader: false,
        },
        {
          value: 'appendix_c',
          title: 'Appendix C',
          predefined: true,
          visibleInHeader: false,
        },
      ],
      defaultComponentType: 'component',
    },
  ],
  lockTrackChangesWhenReviewing: true,
}
